mlpack_radical(1)

NAME
mlpack_radical - radical

SYNOPSIS
 mlpack_radical -i unknown [-a int] [-n double] [-O bool] [-r int] [-s int] [-S int] [-V bool] [-o unknown] [-u unknown] [-h -v]

DESCRIPTION
An implementation of RADICAL, a method for independent component analysis (ICA). Assuming that we have an input matrix X, the goal is to find a square unmixing matrix W such that Y = W * X and the dimensions of Y are independent components. If the algorithm is running particularly slowly, try reducing the number of replicates.

The input matrix to perform ICA on should be specified with the '--input_file (-i)' parameter. The output matrix Y may be saved with the '--output_ic_file (-o)' output parameter, and the output unmixing matrix W may be saved with the ’--output_unmixing_file (-u)' output parameter.

For example, to perform ICA on the matrix 'X.csv' with 40 replicates, saving the independent components to 'ic.csv', the following command may be used:

$ mlpack_radical --input_file X.csv --replicates 40 --output_ic_file ic.csv

REQUIRED INPUT OPTIONS

--input_file (-i) [unknown]
    Input dataset for ICA.

OPTIONAL INPUT OPTIONS

--angles (-a) [int]
    Number of angles to consider in brute-force search during Radical2D. Default value 150.

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--noise_std_dev (-n) [double]
    Standard deviation of Gaussian noise. Default value 0.175.

--objective (-O) [bool]
    If set, an estimate of the final objective function is printed.

--replicates (-r) [int]
    Number of Gaussian-perturbed replicates to use (per point) in Radical2D. Default value 30.

--seed (-s) [int]
    Random seed. If 0, 'std::time(NULL)' is used. Default value 0.

--sweeps (-S) [int]
    Number of sweeps; each sweep calls Radical2D once for each pair of dimensions. Default value 0.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--output_ic_file (-o) [unknown]
    Matrix to save independent components to.

--output_unmixing_file (-u) [unknown]
    Matrix to save unmixing matrix to.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.